-- Version: v11.2 11.2.0.18

library ieee;
use ieee.std_logic_1164.all;
library proasic3;
use proasic3.all;

entity FALSE_PATHS is

    port( Q   : out   std_logic;
          D2  : in    std_logic;
          D1  : in    std_logic;
          CLK : in    std_logic;
          RST : in    std_logic;
          D0  : in    std_logic
        );

end FALSE_PATHS;

architecture DEF_ARCH of FALSE_PATHS is 

  component INV
    port( A : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component OA1
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component CLKBUF
    port( PAD : in    std_logic := 'U';
          Y   : out   std_logic
        );
  end component;

  component BUFD
    port( A : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component MX2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          S : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component GND
    port( Y : out   std_logic
        );
  end component;

  component DFN1
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component INBUF
    port( PAD : in    std_logic := 'U';
          Y   : out   std_logic
        );
  end component;

  component VCC
    port( Y : out   std_logic
        );
  end component;

  component DFN1P1
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          PRE : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component XOR2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component DFN1C1
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          CLR : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component OUTBUF
    port( D   : in    std_logic := 'U';
          PAD : out   std_logic
        );
  end component;

    signal CLK_c, D0_c, RST_c, D1_c, D2_c, Q_c, \$1N16\, \$1N49\, 
        \$1N27\, \$1N14\, \$1N8\, \$1N10\, \$1N45\, \$1N24\, 
        \VCC\, \GND\, GND_net_1, VCC_net_1, b0y, b1y : std_logic;

begin 


    \U0$1I40\ : INV
      port map(A => D0_c, Y => \$1N24\);
    
    \U2$1I42\ : OA1
      port map(A => \$1N10\, B => \$1N45\, C => \$1N27\, Y => 
        \$1N49\);
    
    CLK_pad : CLKBUF
      port map(PAD => CLK, Y => CLK_c);
    
    B1 : BUFD
      port map(A => b0y, Y => b1y);
    
    \MX0$1I5\ : MX2
      port map(A => \$1N49\, B => \$1N27\, S => \$1N14\, Y => 
        \$1N16\);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    \FF2$1I3\ : DFN1
      port map(D => D1_c, CLK => CLK_c, Q => \$1N45\);
    
    RST_pad : INBUF
      port map(PAD => RST, Y => RST_c);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    \FF0$1I2\ : DFN1P1
      port map(D => D0_c, CLK => CLK_c, PRE => RST_c, Q => \$1N8\);
    
    \U1$1I4\ : XOR2
      port map(A => \$1N8\, B => \$1N10\, Y => \$1N14\);
    
    GND_i : GND
      port map(Y => \GND\);
    
    \FF1$1I1\ : DFN1C1
      port map(D => \$1N24\, CLK => CLK_c, CLR => RST_c, Q => 
        \$1N10\);
    
    B0 : BUFD
      port map(A => \$1N16\, Y => b0y);
    
    Q_pad : OUTBUF
      port map(D => Q_c, PAD => Q);
    
    D2_pad : INBUF
      port map(PAD => D2, Y => D2_c);
    
    D1_pad : INBUF
      port map(PAD => D1, Y => D1_c);
    
    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    \FF4$1I7\ : DFN1
      port map(D => b1y, CLK => CLK_c, Q => Q_c);
    
    \FF3$1I6\ : DFN1
      port map(D => D2_c, CLK => CLK_c, Q => \$1N27\);
    
    D0_pad : INBUF
      port map(PAD => D0, Y => D0_c);
    

end DEF_ARCH; 
